/* sap.h - SAP manipulations */

/* Written 1996 by Werner Almesberger, EPFL-LRC */


#ifndef SAP_H
#define SAP_H

int sap_check_packing(const struct sap_addr *packed_sap,int len);
struct sap_addr *sap_copy(const struct sap_addr *sap);
int sap_compat(const struct sap_addr *old_sap,
  const struct sap_addr *new_sap,struct sap_addr **out_sap,
  const struct atm_qos *old_qos,const struct atm_qos *new_qos,
  struct atm_qos *out_qos);
int sap_encode(Q_DSC *dsc,const struct sap_addr *sap,
  const struct atm_qos *qos);
struct sap_addr *sap_decode(Q_DSC *dsc,struct atm_qos *qos);

#endif
