/* io.h - I/O operations */
 
/* Written 1995-1997 by Werner Almesberger, EPFL-LRC */
 

#ifndef IO_H
#define IO_H

extern struct sap_addr local_sap;
extern struct sockaddr_natm signaling_pvc;


int open_all(void);
void init_current_time(void);
void poll_loop(void);
void close_all(void);

void to_sclient(SCLIENT *scl, struct atmsvc_msg *msg);
void to_net(void *msg,int size);

int get_pvc(int *vci);

#endif
